{% extends '::baseIntranetJS.html.twig' %}

{% block body %}
<div class="row">
	<div class="col-sm-12 col-xs-12 optEditable" style="display:none;">
		<input type="file" id="archivo" accept=".xls,.xlsx" />
	</div>
</div>
<div class="row">
	<div class="col-xs-12" id="containerTablaExcel">
		<table id="tablaExcel" class="table table-bordered table-striped">
			<thead>
				<tr>
					<th></th>
				<%
					_.each(datosExcel.cols, function(col, colKey) {
				%>
					<th><%= col %></th>
				<%
					});
				%>
				</tr>
			</thead>
			<tbody>
				<%
					_.each(datosExcel.rows, function(row, rowKey) {
				%>
				<tr>
					<td><%= rowKey %></td>
					<%
						_.each(row, function(col, colKey) {
					%>
						<td><%= col %></td>
					<%
						});
					%>
				</tr>
				<%
					});
				%>
			</tbody>
		</table>
	</div>
</div>
<div class="row">
	<div class="col-xs-12" id="ComentariosIntranet">
		{% include 'IntranetBundle:js:ComentariosIntranet.html.twig' %}
	</div>
</div>
{% endblock %}

{% block javascript %}
<%
	setTimeout(function(){
		$("#tablaExcel").dataTable({
			'language': DataTables.languaje.es
			});
		$("#archivo").change(function(){
			var that = this;
	        if(this.files.length > 0)
	        {
	          	var file = this.files[0];
	          	if (!file.name.match('.xls')) {
					alert("El archivo debe ser un excel.");
					return;
				}
				var partes = file.name.split(".");
				var extension = partes[partes.length - 1];
				var formData = new FormData();
				formData.append('idMenu', menuBD.idMenu);
				formData.append('idPlantilla', $("#plantilla").val());
				formData.append('archivo', file);
				formData.append('nombreArchivo', 'tabla.' + extension);

				jQuery.ajax({
					url: urls.intranet.contenidoGuardarArchivo,
					data: formData,
					cache: false,
					contentType: false,
					processData: false,
					type: 'POST',
					success: function(data){
						var estatus = 0;
						if(data.estado == 1)
						{
							window.location.reload();
						}
						alert(data.mensaje);
					}
				});
	        }
		});
	}, 250);
%>
{% endblock %}